<template>
  <div class="mini-loader">Loading...</div>
</template>

<script>
  export default {
    name: "MiniLoader"
  }
</script>

<style scoped lang="scss">
  .mini-loader, .mini-loader:after {
    border-radius: 50%;
    width: 8em;
    height: 8em;
  }

  .mini-loader {
    font-size: 2px;
    text-indent: -9999em;
    border-top: 1.1em solid #D1D2D6;
    border-right: 1.1em solid #D1D2D6;
    border-bottom: 1.1em solid #336FD3;
    border-left: 1.1em solid #D1D2D6;
    transform: translateZ(0);
    animation: loading 1.1s infinite linear;
  }

  @keyframes loading {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
</style>